Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

# Class Service2Constructor

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service2Constructor

public class Service2Constructor extends Object

## Constructor Summary

Constructors
Constructor
Description
`Service2Constructor(org.osgi.framework.BundleContext ctx)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.framework.BundleContext`
`getBundleContext()`
`boolean`
`isActivated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service2Constructor

public Service2Constructor(org.osgi.framework.BundleContext ctx)

## Method Details

### isActivated

public boolean isActivated()

### getBundleContext

public org.osgi.framework.BundleContext getBundleContext()